include ShellRestriction.inc

.code
Start:
    invoke  GetModuleHandle, NULL
    mov     hInstance, eax
    
    ;invoke  CoInitializeEx, 0, COINIT_MULTITHREADED or COINIT_DISABLE_OLE1DDE 
    ; Load common controls dll and load and register the following classes:
    ; ICC_BAR_CLASSES = toolbar, status bar, trackbar, and ToolTip control classes
    ; ICC_LISTVIEW_CLASSES = list-view and header control classes
    ; ICC_TREEVIEW_CLASSES = tree-view and ToolTip control classes
    mov     iccex.dwSize, sizeof INITCOMMONCONTROLSEX
    mov     iccex.dwICC, ICC_LISTVIEW_CLASSES
    invoke  InitCommonControlsEx, addr iccex
    
       ; Show Main window
    invoke  DoInit

    invoke  ShowMain
    invoke  ExitProcess, eax


DoInit  Proc
LOCAL   wc:WNDCLASSEX
LOCAL   lfnt:LOGFONT
LOCAL   hIcon:DWORD
    
    ; Main Window
    mov     wc.cbSize, SIZEOF WNDCLASSEX
    mov     wc.style, CS_HREDRAW or CS_VREDRAW
    mov     wc.lpfnWndProc, OFFSET ProcMain 
    mov     wc.cbClsExtra, NULL
    mov     wc.cbWndExtra, NULL
    push    hInstance
    pop     wc.hInstance
    mov     wc.hbrBackground, COLOR_3DFACE + 1
    mov     wc.lpszMenuName, NULL
    mov     wc.lpszClassName, OFFSET WndClsMain
    
    invoke  LoadImage, hInstance, 2, IMAGE_ICON, 32, 32, LR_DEFAULTCOLOR
    mov     wc.hIcon, eax
   
    invoke  LoadImage, hInstance, 3, IMAGE_ICON, 16, 16, LR_DEFAULTCOLOR
    mov     wc.hIconSm, eax
    
    invoke  LoadCursor, NULL, IDC_ARROW
    mov     wc.hCursor, eax
    
    invoke  RegisterClassEx, addr wc

    ; Create normal font
    invoke  memfill, addr lfnt,  sizeof lfnt, 00H
    ;invoke  RtlZeroMemory, addr lfnt, sizeof lfnt
    mov     lfnt.lfHeight, -12
    mov     lfnt.lfWeight, FW_NORMAL
    invoke  lstrcat, addr lfnt.lfFaceName, offset sFontName
    invoke  CreateFontIndirect, addr lfnt
    mov     hFont, eax 
    
    ;Create ImageList
    invoke  ImageList_Create, 16, 16, ILC_MASK or ILC_COLOR32, 2, 0
    mov     hImageList, eax
    
    invoke  LoadImage, hInstance, 2, IMAGE_ICON, 16, 16, LR_DEFAULTCOLOR
    mov     hIcon, eax
    invoke  ImageList_AddIcon, hImageList, hIcon
    invoke  DestroyIcon, hIcon
    
    invoke  LoadImage, hInstance, 3, IMAGE_ICON, 16, 16, LR_DEFAULTCOLOR
    mov     hIcon, eax
    invoke  ImageList_AddIcon, hImageList, hIcon
    invoke  DestroyIcon, hIcon
    
	ret
DoInit endp

ShowMain proc
LOCAL   msg:MSG

    ; Get coords to center window
    invoke  GetSystemMetrics, SM_CXSCREEN
    sub     eax, 347
    shr     eax, 1
    push    eax
    invoke  GetSystemMetrics, SM_CYSCREEN
    sub     eax, 283
    shr     eax, 1
    pop     ebx
    
    ; Create main Window
    invoke  CreateWindowEx,
                NULL, 
                addr WndClsMain,
                addr AppName,
                WS_OVERLAPPED OR WS_SYSMENU OR WS_MINIMIZEBOX\
                OR WS_VISIBLE OR WS_CLIPCHILDREN,
                ebx, eax,
                347, 283,
                NULL,
                NULL,
                hInstance,
                NULL
    	
    invoke  FillListView
    
    ; Enter message loop
    	.WHILE TRUE
		invoke GetMessage, ADDR msg,NULL,0,0
		.BREAK .IF (!eax)
		invoke TranslateMessage, ADDR msg
		invoke DispatchMessage, ADDR msg
	.ENDW

    mov     eax, msg.wParam
    ret
ShowMain endp

ProcMain proc hWnd:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM


    .if uMsg == WM_CREATE
        ; Listview
        invoke  CreateWindowEx,
                    WS_EX_CLIENTEDGE,
                    addr WndClsListView,
                    NULL,
                    WS_CHILD or WS_VISIBLE or LVS_REPORT,
                    5, 5,
                    330, 250,
                    hWnd,
                    33,
                    hInstance,
                    NULL
        mov     hListView, eax    
        invoke  SendMessage, hListView, LVM_SETIMAGELIST, LVSIL_SMALL, hImageList
        invoke  SendMessage, hListView,  WM_SETFONT, hFont, FALSE
        
        
       
        
    .elseif uMsg == WM_DESTROY
        invoke  ImageList_Destroy, hImageList
        invoke  DeleteObject, hFont
        invoke  PostQuitMessage, NULL
        
    .else
        invoke DefWindowProc,hWnd,uMsg,wParam,lParam
        ret
    .endif
    ret
ProcMain endp

FillListView proc
LOCAL   lvc:LVCOLUMN
LOCAL   lvi:LVITEM

    invoke  LockWindowUpdate, hListView
mov     lvc.imask, LVCF_SUBITEM or LVCF_TEXT or LVCF_WIDTH
        mov     lvc.lx, 0
        mov     lvc.iSubItem, 0
        mov     lvc.pszText, offset colRestriction
        invoke  SendMessage, hListView, LVM_INSERTCOLUMN, 0, addr lvc
        
        mov     lvc.lx, 0
        mov     lvc.iSubItem, 1
        mov     lvc.pszText, offset colEnalbed
        invoke  SendMessage, hListView, LVM_INSERTCOLUMN, 1, addr lvc
	;invoke SHRestricted, REST_NONE ; ignored
    
	invoke SHRestricted, REST_NORUN	
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NORUN")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif
	
	invoke SHRestricted, REST_NOCLOSE
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCLOSE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSAVESET
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSAVESET")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOFILEMENU
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOFILEMENU")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSETFOLDERS
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSETFOLDERS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSETTASKBAR
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSETTASKBAR")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NODESKTOP
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NODESKTOP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOFIND
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOFIND")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	;invoke SHRestricted, REST_NODRIVES
	;invoke SHRestricted, REST_NODRIVEAUTORUN
	;invoke SHRestricted, REST_NODRIVETYPEAUTORUN
	invoke SHRestricted, REST_NONETHOOD
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NONETHOOD")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_RESTRICTRUN
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_RESTRICTRUN")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	
	;invoke SHRestricted, REST_NOPRINTERTABS ; ignored
	invoke SHRestricted, REST_NOPRINTERDELETE
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOPRINTERDELETE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOPRINTERADD
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOPRINTERADD")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOSTARTMENUSUBFOLDERS
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSTARTMENUSUBFOLDERS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	;invoke SHRestricted, REST_MYDOCSONNET ; ignored
	;invoke SHRestricted, REST_NOEXITTODOS ; ignored
	invoke SHRestricted, REST_ENFORCESHELLEXTSECURITY
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_ENFORCESHELLEXTSECURITY")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_LINKRESOLVEIGNORELINKINFO
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_LINKRESOLVEIGNORELINKINFO")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOCOMMONGROUPS
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCOMMONGROUPS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_SEPARATEDESKTOPPROCESS
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_SEPARATEDESKTOPPROCESS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOWEB
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOWEB")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOTRAYCONTEXTMENU
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOTRAYCONTEXTMENU")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOVIEWCONTEXTMENU
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOVIEWCONTEXTMENU")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NONETCONNECTDISCONNECT
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NONETCONNECTDISCONNECT")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	;invoke SHRestricted, REST_STARTMENULOGOFF
	;invoke SHRestricted, REST_NOSETTINGSASSIST ; ignored
	invoke SHRestricted, REST_NOINTERNETICON
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOINTERNETICON")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NORECENTDOCSHISTORY
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NORECENTDOCSHISTORY")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NORECENTDOCSMENU
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NORECENTDOCSMENU")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOACTIVEDESKTOP
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOACTIVEDESKTOP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOACTIVEDESKTOPCHANGES
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOACTIVEDESKTOPCHANGES")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOFAVORITESMENU
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOFAVORITESMENU")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_CLEARRECENTDOCSONEXIT
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_CLEARRECENTDOCSONEXIT")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_CLASSICSHELL
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_CLASSICSHELL")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOCUSTOMIZEWEBVIEW
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCUSTOMIZEWEBVIEW")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOHTMLWALLPAPER
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOHTMLWALLPAPER")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOCHANGINGWALLPAPER
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCHANGINGWALLPAPER")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NODESKCOMP
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NODESKCOMP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOADDDESKCOMP
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOADDDESKCOMP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NODELDESKCOMP
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NODELDESKCOMP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOCLOSEDESKCOMP
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCLOSEDESKCOMP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


	invoke SHRestricted, REST_NOCLOSE_DRAGDROPBAND
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCLOSE_DRAGDROPBAND")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOMOVINGBAND
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOMOVINGBAND")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOEDITDESKCOMP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOEDITDESKCOMP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NORESOLVESEARCH
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NORESOLVESEARCH")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NORESOLVETRACK
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NORESOLVETRACK")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_FORCECOPYACLWITHFILE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_FORCECOPYACLWITHFILE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOLOGO3CHANNELNOTIFY
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOLOGO3CHANNELNOTIFY")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOFORGETSOFTWAREUPDATE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOFORGETSOFTWAREUPDATE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSETACTIVEDESKTOP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSETACTIVEDESKTOP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOUPDATEWINDOWS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOUPDATEWINDOWS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOCHANGESTARMENU
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCHANGESTARMENU")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOFOLDEROPTIONS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOFOLDEROPTIONS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_HASFINDCOMPUTERS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_HASFINDCOMPUTERS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_INTELLIMENUS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_INTELLIMENUS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_RUNDLGMEMCHECKBOX
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_RUNDLGMEMCHECKBOX")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_ARP_ShowPostSetup
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_ARP_ShowPostSetup")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOCSC
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCSC")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOCONTROLPANEL
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCONTROLPANEL")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_ENUMWORKGROUP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_ENUMWORKGROUP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_ARP_NOARP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_ARP_NOARP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_ARP_NOREMOVEPAGE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_ARP_NOREMOVEPAGE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_ARP_NOADDPAGE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_ARP_NOADDPAGE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_ARP_NOWINSETUPPAGE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_ARP_NOWINSETUPPAGE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_GREYMSIADS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_GREYMSIADS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	;invoke SHRestricted, REST_NOCHANGEMAPPEDDRIVELABEL ; ignored
	;invoke SHRestricted, REST_NOCHANGEMAPPEDDRIVECOMMENT ; ignored
	;invoke SHRestricted, REST_MaxRecentDocs
	invoke SHRestricted, REST_NONETWORKCONNECTIONS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NONETWORKCONNECTIONS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_FORCESTARTMENULOGOFF
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_FORCESTARTMENULOGOFF")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOWEBVIEW
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOWEBVIEW")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOCUSTOMIZETHISFOLDER
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCUSTOMIZETHISFOLDER")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOENCRYPTION
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOENCRYPTION")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_DONTSHOWSUPERHIDDEN
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_DONTSHOWSUPERHIDDEN")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSHELLSEARCHBUTTON
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSHELLSEARCHBUTTON")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOHARDWARETAB
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOHARDWARETAB")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NORUNASINSTALLPROMPT
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NORUNASINSTALLPROMPT")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_PROMPTRUNASINSTALLNETPATH
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_PROMPTRUNASINSTALLNETPATH")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOMANAGEMYCOMPUTERVERB
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOMANAGEMYCOMPUTERVERB")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NORECENTDOCSNETHOOD
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NORECENTDOCSNETHOOD")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_DISALLOWRUN
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_DISALLOWRUN")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOWELCOMESCREEN
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOWELCOMESCREEN")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_RESTRICTCPL
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_RESTRICTCPL")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_DISALLOWCPL
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_DISALLOWCPL")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMBALLOONTIP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMBALLOONTIP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMHELP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMHELP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOWINKEYS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOWINKEYS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOENCRYPTONMOVE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOENCRYPTONMOVE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOLOCALMACHINERUN
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOLOCALMACHINERUN")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOCURRENTUSERRUN
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCURRENTUSERRUN")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOLOCALMACHINERUNONCE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOLOCALMACHINERUNONCE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOCURRENTUSERRUNONCE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCURRENTUSERRUNONCE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_FORCEACTIVEDESKTOPON
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_FORCEACTIVEDESKTOPON")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOCOMPUTERSNEARME
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCOMPUTERSNEARME")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	;invoke SHRestricted, REST_NOVIEWONDRIVE
	invoke SHRestricted, REST_NONETCRAWL
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NONETCRAWL")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSHAREDDOCUMENTS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSHAREDDOCUMENTS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMMYDOCS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMMYDOCS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMMYPICS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMMYPICS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	;invoke SHRestricted, REST_ALLOWBITBUCKDRIVES
	invoke SHRestricted, REST_NONLEGACYSHELLMODE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NONLEGACYSHELLMODE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	;invoke SHRestricted, REST_NOCONTROLPANELBARRICADE ; ignored
	;invoke SHRestricted, REST_NOSTARTPAGE ; ignored
	invoke SHRestricted, REST_NOAUTOTRAYNOTIFY
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOAUTOTRAYNOTIFY")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOTASKGROUPING
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOTASKGROUPING")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOCDBURNING
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCDBURNING")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_MYCOMPNOPROP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_MYCOMPNOPROP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_MYDOCSNOPROP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_MYDOCSNOPROP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSTARTPANEL
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSTARTPANEL")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	;invoke SHRestricted, REST_NODISPLAYAPPEARANCEPAGE
	invoke SHRestricted, REST_NOTHEMESTAB
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOTHEMESTAB")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOVISUALSTYLECHOICE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOVISUALSTYLECHOICE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSIZECHOICE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSIZECHOICE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOCOLORCHOICE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOCOLORCHOICE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_SETVISUALSTYLE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_SETVISUALSTYLE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_STARTRUNNOHOMEPATH
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_STARTRUNNOHOMEPATH")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOUSERNAMEINSTARTPANEL
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOUSERNAMEINSTARTPANEL")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOMYCOMPUTERICON
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOMYCOMPUTERICON")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMNETWORKPLACES
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMNETWORKPLACES")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMPINNEDLIST
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMPINNEDLIST")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMMYMUSIC
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMMYMUSIC")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMEJECTPC
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMEJECTPC")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMMOREPROGRAMS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMMOREPROGRAMS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMMFUPROGRAMS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMMFUPROGRAMS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOTRAYITEMSDISPLAY
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOTRAYITEMSDISPLAY")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOTOOLBARSONTASKBAR
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOTOOLBARSONTASKBAR")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSMCONFIGUREPROGRAMS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSMCONFIGUREPROGRAMS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_HIDECLOCK
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_HIDECLOCK")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOLOWDISKSPACECHECKS
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOLOWDISKSPACECHECKS")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOENTIRENETWORK
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOENTIRENETWORK")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NODESKTOPCLEANUP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NODESKTOPCLEANUP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_BITBUCKNUKEONDELETE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_BITBUCKNUKEONDELETE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_BITBUCKCONFIRMDELETE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_BITBUCKCONFIRMDELETE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_BITBUCKNOPROP
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_BITBUCKNOPROP")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NODISPBACKGROUND
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NODISPBACKGROUND")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NODISPSCREENSAVEPG
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NODISPSCREENSAVEPG")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NODISPSETTINGSPG
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NODISPSETTINGSPG")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	;invoke SHRestricted, REST_NODISPSCREENSAVEPREVIEW ; ignored
	invoke SHRestricted, REST_NODISPLAYCPL
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NODISPLAYCPL")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_HIDERUNASVERB
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_HIDERUNASVERB")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOTHUMBNAILCACHE
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOTHUMBNAILCACHE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSTRCMPLOGICAL
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSTRCMPLOGICAL")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_ALLOWUNHASHEDWEBVIEW
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_ALLOWUNHASHEDWEBVIEW")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_ALLOWLEGACYWEBVIEW
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_ALLOWLEGACYWEBVIEW")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_REVERTWEBVIEWSECURITY
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_REVERTWEBVIEWSECURITY")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NODISCONNECT
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NODISCONNECT")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOSECURITY
			mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOSECURITY")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif

	invoke SHRestricted, REST_NOFILEASSOCIATE
		mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NOFILEASSOCIATE")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.endif


invoke  SendMessage, hListView, LVM_SETCOLUMNWIDTH, 0, LVSCW_AUTOSIZE
        invoke  SendMessage, hListView, LVM_SETCOLUMNWIDTH, 1,LVSCW_AUTOSIZE_USEHEADER
        ;invoke  SendMessage, hListView, LVM_SETCOLUMNWIDTH, 1, LVSCW_AUTOSIZE
invoke  LockWindowUpdate, NULL
	ret

FillListView endp
end Start