include ShellRestriction.inc

.code
Start:
    invoke  GetModuleHandle, NULL
    mov     hInstance, eax
    
    ;invoke  CoInitializeEx, 0, COINIT_MULTITHREADED or COINIT_DISABLE_OLE1DDE 
    ; Load common controls dll and load and register the following classes:
    ; ICC_BAR_CLASSES = toolbar, status bar, trackbar, and ToolTip control classes
    ; ICC_LISTVIEW_CLASSES = list-view and header control classes
    ; ICC_TREEVIEW_CLASSES = tree-view and ToolTip control classes
    mov     iccex.dwSize, sizeof INITCOMMONCONTROLSEX
    mov     iccex.dwICC, ICC_LISTVIEW_CLASSES
    invoke  InitCommonControlsEx, addr iccex
    
       ; Show Main window
    invoke  DoInit

    invoke  ShowMain
    invoke  ExitProcess, eax


DoInit  Proc
LOCAL   wc:WNDCLASSEX
LOCAL   lfnt:LOGFONT
LOCAL   hIcon:DWORD
    
    ; Main Window
    mov     wc.cbSize, SIZEOF WNDCLASSEX
    mov     wc.style, CS_HREDRAW or CS_VREDRAW
    mov     wc.lpfnWndProc, OFFSET ProcMain 
    mov     wc.cbClsExtra, NULL
    mov     wc.cbWndExtra, NULL
    push    hInstance
    pop     wc.hInstance
    mov     wc.hbrBackground, COLOR_3DFACE + 1
    mov     wc.lpszMenuName, NULL
    mov     wc.lpszClassName, OFFSET WndClsMain
    
    invoke  LoadImage, hInstance, 2, IMAGE_ICON, 32, 32, LR_DEFAULTCOLOR
    mov     wc.hIcon, eax
   
    invoke  LoadImage, hInstance, 3, IMAGE_ICON, 16, 16, LR_DEFAULTCOLOR
    mov     wc.hIconSm, eax
    
    invoke  LoadCursor, NULL, IDC_ARROW
    mov     wc.hCursor, eax
    
    invoke  RegisterClassEx, addr wc

    ; Create normal font
    invoke  memfill, addr lfnt,  sizeof lfnt, 00H
    ;invoke  RtlZeroMemory, addr lfnt, sizeof lfnt
    mov     lfnt.lfHeight, -12
    mov     lfnt.lfWeight, FW_NORMAL
    invoke  lstrcat, addr lfnt.lfFaceName, offset sFontName
    invoke  CreateFontIndirect, addr lfnt
    mov     hFont, eax 
    
    ;Create ImageList
    invoke  ImageList_Create, 16, 16, ILC_MASK or ILC_COLOR32, 2, 0
    mov     hImageList, eax
    
    invoke  LoadImage, hInstance, 2, IMAGE_ICON, 16, 16, LR_DEFAULTCOLOR
    mov     hIcon, eax
    invoke  ImageList_AddIcon, hImageList, hIcon
    invoke  DestroyIcon, hIcon
    
    invoke  LoadImage, hInstance, 3, IMAGE_ICON, 16, 16, LR_DEFAULTCOLOR
    mov     hIcon, eax
    invoke  ImageList_AddIcon, hImageList, hIcon
    invoke  DestroyIcon, hIcon
    
	ret
DoInit endp

ShowMain proc
LOCAL   msg:MSG

    ; Get coords to center window
    invoke  GetSystemMetrics, SM_CXSCREEN
    sub     eax, 347
    shr     eax, 1
    push    eax
    invoke  GetSystemMetrics, SM_CYSCREEN
    sub     eax, 283
    shr     eax, 1
    pop     ebx
    
    ; Create main Window
    invoke  CreateWindowEx,
                NULL, 
                addr WndClsMain,
                addr AppName,
                WS_OVERLAPPED OR WS_SYSMENU OR WS_MINIMIZEBOX\
                OR WS_VISIBLE OR WS_CLIPCHILDREN,
                ebx, eax,
                347, 283,
                NULL,
                NULL,
                hInstance,
                NULL
    	
    invoke  FillListView
    
    ; Enter message loop
    	.WHILE TRUE
		invoke GetMessage, ADDR msg,NULL,0,0
		.BREAK .IF (!eax)
		invoke TranslateMessage, ADDR msg
		invoke DispatchMessage, ADDR msg
	.ENDW

    mov     eax, msg.wParam
    ret
ShowMain endp

ProcMain proc hWnd:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM


    .if uMsg == WM_CREATE
        ; Listview
        invoke  CreateWindowEx,
                    WS_EX_CLIENTEDGE,
                    addr WndClsListView,
                    NULL,
                    WS_CHILD or WS_VISIBLE or LVS_REPORT or LVS_SHAREIMAGELISTS,
                    5, 5,
                    330, 250,
                    hWnd,
                    33,
                    hInstance,
                    NULL
        mov     hListView, eax    
        invoke  SendMessage, hListView, LVM_SETIMAGELIST, LVSIL_SMALL, hImageList
        invoke  SendMessage, hListView,  WM_SETFONT, hFont, FALSE
        
        
       
        
    .elseif uMsg == WM_DESTROY
        invoke  ImageList_Destroy, hImageList
        invoke  DeleteObject, hFont
        invoke  PostQuitMessage, NULL
        
    .else
        invoke DefWindowProc,hWnd,uMsg,wParam,lParam
        ret
    .endif
    ret
ProcMain endp

FillListView proc
LOCAL   lvc:LVCOLUMN
LOCAL   lvi:LVITEM

mov     lvc.imask, LVCF_SUBITEM or LVCF_TEXT or LVCF_WIDTH
        mov     lvc.lx, 0
        mov     lvc.iSubItem, 0
        mov     lvc.pszText, offset colRestriction
        invoke  SendMessage, hListView, LVM_INSERTCOLUMN, 0, addr lvc
        
        mov     lvc.lx, 0
        mov     lvc.iSubItem, 1
        mov     lvc.pszText, offset colEnalbed
        invoke  SendMessage, hListView, LVM_INSERTCOLUMN, 1, addr lvc
	;invoke SHRestricted, REST_NONE ; ignored
;### SEE - NOTE1: ###
    
	invoke SHRestricted, REST_NORUN	
	mov     lvi.imask, LVIF_IMAGE or LVIF_TEXT
	mov     lvi.pszText, CTEXT("REST_NORUN")
	.if eax == 0 ; not in effect        
        mov     lvi.iImage, 0
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sNo
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi
	.else
	   mov     lvi.iImage, 1
        mov     lvi.iItem, 0       
        mov     lvi.iSubItem, 0        
        invoke  SendMessage, hListView, LVM_INSERTITEM, NULL, addr lvi
        mov    lvi.iSubItem, 1
        mov     lvi.pszText, offset sYes
        invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvi

	.endif
	invoke SHRestricted, REST_NOCLOSE
		PrintDec eax
	invoke SHRestricted, REST_NOSAVESET
		PrintDec eax
	invoke SHRestricted, REST_NOFILEMENU
		PrintDec eax
	invoke SHRestricted, REST_NOSETFOLDERS
		PrintDec eax
	invoke SHRestricted, REST_NOSETTASKBAR
		PrintDec eax
	invoke SHRestricted, REST_NODESKTOP
		PrintDec eax
	invoke SHRestricted, REST_NOFIND
		PrintDec eax
	;invoke SHRestricted, REST_NODRIVES
	;invoke SHRestricted, REST_NODRIVEAUTORUN
	;invoke SHRestricted, REST_NODRIVETYPEAUTORUN
;	invoke SHRestricted, REST_NONETHOOD
;	invoke SHRestricted, REST_RESTRICTRUN
;	invoke SHRestricted, REST_NONE
;	;invoke SHRestricted, REST_NOPRINTERTABS ; ignored
;	invoke SHRestricted, REST_NOPRINTERDELETE
;	invoke SHRestricted, REST_NOPRINTERADD
;	invoke SHRestricted, REST_NOSTARTMENUSUBFOLDERS
;	;invoke SHRestricted, REST_MYDOCSONNET ; ignored
;	;invoke SHRestricted, REST_NOEXITTODOS ; ignored
;	invoke SHRestricted, REST_ENFORCESHELLEXTSECURITY
;	invoke SHRestricted, REST_LINKRESOLVEIGNORELINKINFO
;	invoke SHRestricted, REST_NOCOMMONGROUPS
;	invoke SHRestricted, REST_SEPARATEDESKTOPPROCESS
;	invoke SHRestricted, REST_NOWEB
;	invoke SHRestricted, REST_NOTRAYCONTEXTMENU
;	invoke SHRestricted, REST_NOVIEWCONTEXTMENU
;	invoke SHRestricted, REST_NONETCONNECTDISCONNECT
;	;invoke SHRestricted, REST_STARTMENULOGOFF
;	;invoke SHRestricted, REST_NOSETTINGSASSIST ; ignored
;	invoke SHRestricted, REST_NOINTERNETICON
;	invoke SHRestricted, REST_NORECENTDOCSHISTORY
;	invoke SHRestricted, REST_NORECENTDOCSMENU
;	invoke SHRestricted, REST_NOACTIVEDESKTOP
;	invoke SHRestricted, REST_NOACTIVEDESKTOPCHANGES
;	invoke SHRestricted, REST_NOFAVORITESMENU
;	invoke SHRestricted, REST_CLEARRECENTDOCSONEXIT
;	invoke SHRestricted, REST_CLASSICSHELL
;	invoke SHRestricted, REST_NOCUSTOMIZEWEBVIEW
;	invoke SHRestricted, REST_NOHTMLWALLPAPER
;	invoke SHRestricted, REST_NOCHANGINGWALLPAPER
;	invoke SHRestricted, REST_NODESKCOMP
;	invoke SHRestricted, REST_NOADDDESKCOMP
;	invoke SHRestricted, REST_NODELDESKCOMP
;	invoke SHRestricted, REST_NOCLOSEDESKCOMP
;	invoke SHRestricted, REST_NOCLOSE_DRAGDROPBAND
;	invoke SHRestricted, REST_NOMOVINGBAND
;	invoke SHRestricted, REST_NOEDITDESKCOMP
;	invoke SHRestricted, REST_NORESOLVESEARCH
;	invoke SHRestricted, REST_NORESOLVETRACK
;	invoke SHRestricted, REST_FORCECOPYACLWITHFILE
;	invoke SHRestricted, REST_NOLOGO3CHANNELNOTIFY
;	invoke SHRestricted, REST_NOFORGETSOFTWAREUPDATE
;	invoke SHRestricted, REST_NOSETACTIVEDESKTOP
;	invoke SHRestricted, REST_NOUPDATEWINDOWS
;	invoke SHRestricted, REST_NOCHANGESTARMENU
;	invoke SHRestricted, REST_NOFOLDEROPTIONS
;	invoke SHRestricted, REST_HASFINDCOMPUTERS
;	invoke SHRestricted, REST_INTELLIMENUS
;	invoke SHRestricted, REST_RUNDLGMEMCHECKBOX
;	invoke SHRestricted, REST_ARP_ShowPostSetup
;	invoke SHRestricted, REST_NOCSC
;	invoke SHRestricted, REST_NOCONTROLPANEL
;	invoke SHRestricted, REST_ENUMWORKGROUP
;	invoke SHRestricted, REST_ARP_NOARP
;	invoke SHRestricted, REST_ARP_NOREMOVEPAGE
;	invoke SHRestricted, REST_ARP_NOADDPAGE
;	invoke SHRestricted, REST_ARP_NOWINSETUPPAGE
;	invoke SHRestricted, REST_GREYMSIADS
;	;invoke SHRestricted, REST_NOCHANGEMAPPEDDRIVELABEL ; ignored
;	;invoke SHRestricted, REST_NOCHANGEMAPPEDDRIVECOMMENT ; ignored
;	;invoke SHRestricted, REST_MaxRecentDocs
;	invoke SHRestricted, REST_NONETWORKCONNECTIONS
;	invoke SHRestricted, REST_FORCESTARTMENULOGOFF
;	invoke SHRestricted, REST_NOWEBVIEW
;	invoke SHRestricted, REST_NOCUSTOMIZETHISFOLDER
;	invoke SHRestricted, REST_NOENCRYPTION
;	invoke SHRestricted, REST_DONTSHOWSUPERHIDDEN
;	invoke SHRestricted, REST_NOSHELLSEARCHBUTTON
;	invoke SHRestricted, REST_NOHARDWARETAB
;	invoke SHRestricted, REST_NORUNASINSTALLPROMPT
;	invoke SHRestricted, REST_PROMPTRUNASINSTALLNETPATH
;	invoke SHRestricted, REST_NOMANAGEMYCOMPUTERVERB
;	invoke SHRestricted, REST_NORECENTDOCSNETHOOD
;	invoke SHRestricted, REST_DISALLOWRUN
;	invoke SHRestricted, REST_NOWELCOMESCREEN
;	invoke SHRestricted, REST_RESTRICTCPL
;	invoke SHRestricted, REST_DISALLOWCPL
;	invoke SHRestricted, REST_NOSMBALLOONTIP
;	invoke SHRestricted, REST_NOSMHELP
;	invoke SHRestricted, REST_NOWINKEYS
;	invoke SHRestricted, REST_NOENCRYPTONMOVE
;	invoke SHRestricted, REST_NOLOCALMACHINERUN
;	invoke SHRestricted, REST_NOCURRENTUSERRUN
;	invoke SHRestricted, REST_NOLOCALMACHINERUNONCE
;	invoke SHRestricted, REST_NOCURRENTUSERRUNONCE
;	invoke SHRestricted, REST_FORCEACTIVEDESKTOPON
;	invoke SHRestricted, REST_NOCOMPUTERSNEARME
;	;invoke SHRestricted, REST_NOVIEWONDRIVE
;	invoke SHRestricted, REST_NONETCRAWL
;	invoke SHRestricted, REST_NOSHAREDDOCUMENTS
;	invoke SHRestricted, REST_NOSMMYDOCS
;	invoke SHRestricted, REST_NOSMMYPICS
;	;invoke SHRestricted, REST_ALLOWBITBUCKDRIVES
;	invoke SHRestricted, REST_NONLEGACYSHELLMODE
;	;invoke SHRestricted, REST_NOCONTROLPANELBARRICADE ; ignored
;	;invoke SHRestricted, REST_NOSTARTPAGE ; ignored
;	invoke SHRestricted, REST_NOAUTOTRAYNOTIFY
;	invoke SHRestricted, REST_NOTASKGROUPING
;	invoke SHRestricted, REST_NOCDBURNING
;	invoke SHRestricted, REST_MYCOMPNOPROP
;	invoke SHRestricted, REST_MYDOCSNOPROP
;	invoke SHRestricted, REST_NOSTARTPANEL
;	;invoke SHRestricted, REST_NODISPLAYAPPEARANCEPAGE
;	invoke SHRestricted, REST_NOTHEMESTAB
;	invoke SHRestricted, REST_NOVISUALSTYLECHOICE
;	invoke SHRestricted, REST_NOSIZECHOICE
;	invoke SHRestricted, REST_NOCOLORCHOICE
;	invoke SHRestricted, REST_SETVISUALSTYLE
;	invoke SHRestricted, REST_STARTRUNNOHOMEPATH
;	invoke SHRestricted, REST_NOUSERNAMEINSTARTPANEL
;	invoke SHRestricted, REST_NOMYCOMPUTERICON
;	invoke SHRestricted, REST_NOSMNETWORKPLACES
;	invoke SHRestricted, REST_NOSMPINNEDLIST
;	invoke SHRestricted, REST_NOSMMYMUSIC
;	invoke SHRestricted, REST_NOSMEJECTPC
;	invoke SHRestricted, REST_NOSMMOREPROGRAMS
;	invoke SHRestricted, REST_NOSMMFUPROGRAMS
;	invoke SHRestricted, REST_NOTRAYITEMSDISPLAY
;	invoke SHRestricted, REST_NOTOOLBARSONTASKBAR
;	invoke SHRestricted, REST_NOSMCONFIGUREPROGRAMS
;	invoke SHRestricted, REST_HIDECLOCK
;	invoke SHRestricted, REST_NOLOWDISKSPACECHECKS
;	invoke SHRestricted, REST_NOENTIRENETWORK
;	invoke SHRestricted, REST_NODESKTOPCLEANUP
;	invoke SHRestricted, REST_BITBUCKNUKEONDELETE
;	invoke SHRestricted, REST_BITBUCKCONFIRMDELETE
;	invoke SHRestricted, REST_BITBUCKNOPROP
;	invoke SHRestricted, REST_NODISPBACKGROUND
;	invoke SHRestricted, REST_NODISPSCREENSAVEPG
;	invoke SHRestricted, REST_NODISPSETTINGSPG
;	;invoke SHRestricted, REST_NODISPSCREENSAVEPREVIEW ; ignored
;	invoke SHRestricted, REST_NODISPLAYCPL
;	invoke SHRestricted, REST_HIDERUNASVERB
;	invoke SHRestricted, REST_NOTHUMBNAILCACHE
;	invoke SHRestricted, REST_NOSTRCMPLOGICAL
;	invoke SHRestricted, REST_ALLOWUNHASHEDWEBVIEW
;	invoke SHRestricted, REST_ALLOWLEGACYWEBVIEW
;	invoke SHRestricted, REST_REVERTWEBVIEWSECURITY
;	invoke SHRestricted, REST_NODISCONNECT
;	invoke SHRestricted, REST_NOSECURITY
;	invoke SHRestricted, REST_NOFILEASSOCIATE
;

invoke  SendMessage, hListView, LVM_SETCOLUMNWIDTH, 0, LVSCW_AUTOSIZE
        invoke  SendMessage, hListView, LVM_SETCOLUMNWIDTH, 1,LVSCW_AUTOSIZE_USEHEADER
        ;invoke  SendMessage, hListView, LVM_SETCOLUMNWIDTH, 1, LVSCW_AUTOSIZE

	ret

FillListView endp
end Start